Skip to main content
POST
/
v1
/
transactions
/
bulk
Bulk Upsert Transactions
curl --request POST \
  --url https://clientapi.retailgrid.io/v1/transactions/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "store_id": "<string>",
      "sku_code": "<string>",
      "region": "<string>",
      "transaction_timestamp": "2023-11-07T05:31:56Z",
      "quantity": 123,
      "sales_value": 123,
      "gross_profit": 123,
      "stock_after_sale": 123,
      "selling_price": 123,
      "regular_price": 123,
      "promo_type": "<string>",
      "zone_price": 123,
      "external_transaction_id": "<string>",
      "unit_cost": 123,
      "discount_rate": 123,
      "currency": "<string>",
      "tax_rate": 123,
      "transaction_type": "<string>",
      "product_id": "<string>"
    }
  ]
}
'
{
  "results": [
    {
      "index": 123,
      "ok": true,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Retailgrid API keys are prefixed with rg_live_. Pass them as Authorization: Bearer <key>.

Body

application/json
items
TransactionBulkItem · object[]

Response

Successful Response

results
BulkItemResult · object[]